Bug 31292 - Untranslatable string in sample_notices.yaml
Summary: Untranslatable string in sample_notices.yaml
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-04 19:20 UTC by Caroline Cyr La Rose
Modified: 2022-10-23 09:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31292 - Untranslatable string in sample_notices.yaml (2.59 KB, patch)
2022-08-05 16:04 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 31292: Untranslatable string in sample_notices.yaml (2.59 KB, patch)
2022-08-07 13:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31292: Untranslatable string in sample_notices.yaml (2.65 KB, patch)
2022-08-07 13:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31292: Untranslatable string in sample_notices.yaml (2.73 KB, patch)
2022-08-08 09:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2022-08-04 19:20:23 UTC
I'm trying to find the following sentence in the po files

"[% IF article_request.format == 'PHOTOCOPY' %]You may pick up your article at [% branch.branchname %].[% ELSIF article_request.format == 'SCAN' %]You can download the scanned materials via the following url(s): [% article_request.urls %].[% END %]"

It is in installer/data/mysql/en/mandatory/sample_notices.yml in the AR_COMPLETED notice.

Bug 28707 corrected a problem for some strings, but this sentence does not appear in the po even after that.

This sentence goes back to 22.05 (bug 20472).
Comment 1 Bernardo Gonzalez Kriegel 2022-08-05 16:04:36 UTC
Created attachment 138711 [details] [review]
Bug 31292 - Untranslatable string in sample_notices.yaml

This patch removes a regex that discard lines in multiline YAML values
On close inspection, there is no need for it.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing string

    egrep "You may pick up your article" po/fr-CA-installer.po

   from sample_notices.yaml

3) apply the patch, repeat 1)

4) repeat 2), verify the string is present in the translation file

5) translate the new string, install the language,
   verify string is present in the translated file
    ./translate install fr-CA

   check fr-CA/mandatory/sample_notices.yml

There are three new strings
msgid "%sDear %s %s,%s"
msgid "%s%s%sTitle: %s"
msgid "%sYou may pick up your article at %s.%sYou can download the scanned materials via the following url(s): %s.%s"
Comment 2 Katrin Fischer 2022-08-07 13:17:30 UTC
Created attachment 138745 [details] [review]
Bug 31292: Untranslatable string in sample_notices.yaml

This patch removes a regex that discard lines in multiline YAML values
On close inspection, there is no need for it.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing string

    egrep "You may pick up your article" po/fr-CA-installer.po

   from sample_notices.yaml

3) apply the patch, repeat 1)

4) repeat 2), verify the string is present in the translation file

5) translate the new string, install the language,
   verify string is present in the translated file
    ./translate install fr-CA

   check fr-CA/mandatory/sample_notices.yml

There are three new strings
msgid "%sDear %s %s,%s"
msgid "%s%s%sTitle: %s"
msgid "%sYou may pick up your article at %s.%sYou can download the scanned materials via the following url(s): %s.%s"
Comment 3 Katrin Fischer 2022-08-07 13:19:03 UTC
Created attachment 138746 [details] [review]
Bug 31292: Untranslatable string in sample_notices.yaml

This patch removes a regex that discard lines in multiline YAML values
On close inspection, there is no need for it.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing string

    egrep "You may pick up your article" po/fr-CA-installer.po

   from sample_notices.yaml

3) apply the patch, repeat 1)

4) repeat 2), verify the string is present in the translation file

5) translate the new string, install the language,
   verify string is present in the translated file
    ./translate install fr-CA

   check fr-CA/mandatory/sample_notices.yml

There are three new strings
msgid "%sDear %s %s,%s"
msgid "%s%s%sTitle: %s"
msgid "%sYou may pick up your article at %s.%sYou can download the scanned materials via the following url(s): %s.%s"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2022-08-07 13:20:08 UTC
Hi Caroline, if you still want to sign-off, we could count mine for QA.
Comment 5 Jonathan Druart 2022-08-08 09:16:10 UTC
Created attachment 138796 [details] [review]
Bug 31292: Untranslatable string in sample_notices.yaml

This patch removes a regex that discard lines in multiline YAML values
On close inspection, there is no need for it.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing string

    egrep "You may pick up your article" po/fr-CA-installer.po

   from sample_notices.yaml

3) apply the patch, repeat 1)

4) repeat 2), verify the string is present in the translation file

5) translate the new string, install the language,
   verify string is present in the translated file
    ./translate install fr-CA

   check fr-CA/mandatory/sample_notices.yml

There are three new strings
msgid "%sDear %s %s,%s"
msgid "%s%s%sTitle: %s"
msgid "%sYou may pick up your article at %s.%sYou can download the scanned materials via the following url(s): %s.%s"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Tomás Cohen Arazi 2022-08-08 16:21:12 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-09-29 17:16:44 UTC
Backported to 22.05.x for 22.05.06
Comment 8 Victor Grousset/tuxayo 2022-10-13 16:57:28 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 9 Arthur Suzuki 2022-10-22 22:09:49 UTC
Thanks!

Pushed to 21.11 for 21.11.12